// clang++ -Wall -stdlib=libc++ -o test_libc++_stream test_libc++_stream.cc
// ./test_libc++_stream

#include <iostream>
#include <fstream>
#include <string>

int main()
{
  std::ifstream is("test_libc++_stream.cc");
  std::string line;
  const int bufferSize = 11;
  char buffer[bufferSize];
  is.getline(buffer, bufferSize);
  std::cout << "libc++ is ";
  if (is.gcount() != 10) {
    std::cout << "NOT ";
  }
  std::cout << "OK: is.gcount() == " << is.gcount() << std::endl;
  return 0;
}
